Class | ActiveRecord::NamedScope::Scope
In: | lib/active_record/named_scope.rb
Parent: | Object

### Methods

any? empty? first last new proxy_found reload respond_to? size

### Constants

NON_DELEGATE_METHODS | = | %w(nil? send object_id class extend find size count sum average maximum minimum paginate first last empty? any? respond_to?).to_set

### Attributes

current_scoped_methods_when_defined | [R] |
proxy_options | [R] |
proxy_scope | [R] |

### Public Class methods

new(proxy_scope, options, &block)

### Public Instance methods

any?() {|*block_args| ...}
empty?()
first(*args)
last(*args)
reload()
respond_to?(method, include_private = false)
size()

### Protected Instance methods

proxy_found()

[Validate]